Bug 1273214 - Build final F23 spin-kickstarts package
Summary: Build final F23 spin-kickstarts package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spin-kickstarts
Version: 23
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F23FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2015-10-20 00:18 UTC by Adam Williamson
Modified: 2015-11-06 08:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-02 23:15:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2015-10-20 00:18:59 UTC
Per the criteria we must have a spin-kickstarts package which matches the kickstarts used to build the final RC images:

https://fedoraproject.org/wiki/Fedora_23_Final_Release_Criteria#Kickstarts

"A spin-kickstarts package which contains the exact kickstart files used to build the release must be present in the release repository. The included kickstarts must define the correct set of release repositories."

Note: we have one open release blocker for which the fix is likely to be in spin-kickstarts:

https://bugzilla.redhat.com/show_bug.cgi?id=1262600

and KDE team may also change spin-kickstarts to apply the DNF metadata fix - https://git.fedorahosted.org/cgit/spin-kickstarts.git/commit/?id=a355ff602c8e5d6a0355b71d63995c9ba665a269 - to more desktops, so we need to hold off for those changes before doing the build.

Comment 1 Stephen Gallagher 2015-10-20 00:20:29 UTC
+1 Blocker

Comment 2 Mike Ruckman 2015-10-20 00:23:22 UTC
+1 Blocker

Comment 3 Adam Williamson 2015-10-20 00:27:14 UTC
That's +3 for a really obvious one, so let's call it accepted.

Comment 4 Bruno Wolff III 2015-10-20 15:18:25 UTC
Please note the commit hash somewhere after the build has started.

Comment 5 Adam Williamson 2015-10-20 18:48:37 UTC
Well we have a chicken-and-egg problem there - we need the spin-kickstarts package *in* the compose :)

So please build a package with commit f5eb0bee5f8f5d818559a881e970dffa00c073d8 - that has all the planned changes I'm aware of. Of course we might find some blocker issue which needs a change later.

Comment 6 Adam Williamson 2015-10-20 19:08:28 UTC
Actually, hold off - Kalev has more changes planned to the DNF metadata stuff, so that commit is not the final yet.

Comment 7 Adam Williamson 2015-10-20 19:51:39 UTC
OK, please do a build with commit 0bc399cf587cb8c220cd8e5f4d9f784844e77792 . Thanks!

Comment 8 Bruno Wolff III 2015-10-20 19:54:19 UTC
I'll do that, but I thought last time we could get it in after the media was built, but before release. The compose process has changed since then, so maybe that way no longer works.
Composing from an agreed upon tag works as well.

Comment 9 Adam Williamson 2015-10-20 19:58:44 UTC
It's possible, I might be remembering wrong. Can't hurt to have a build, though.

Comment 10 Fedora Update System 2015-10-20 20:27:10 UTC
spin-kickstarts-0.23.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3c372b25be

Comment 11 Bruno Wolff III 2015-10-21 17:11:17 UTC
Do we need another build with the following commit?
commit fdc93b365951745f7aac75d08efca59a7111ccea
Author: Peter Robinson <pbrobinson@gmail.com>
Date:   Wed Oct 21 09:47:44 2015 +0100

    arm: fix up boot partitions

Comment 12 Dennis Gilmore 2015-10-22 16:07:51 UTC
yes we will. the compose process can only use git head. as spin-kickstarts does not end up on any media we have always done the build when we have a signed off release to ensure the Everything repo has what was used for the release.

Comment 13 Bruno Wolff III 2015-10-22 16:55:58 UTC
OK. That is how I remember doing things in the recent past. I'll wait a bit, in case something else comes in before rc3 is built.

Comment 14 Adam Williamson 2015-10-22 18:16:58 UTC
Ah, OK. Sorry for confusing the process.

It looks like the commit for RC3 will be f46ca3331f91817afe67f220b0df78d84fd70207 , but per dgilmore, let's wait till it's spun before we build the package.

Comment 15 Fedora Update System 2015-10-24 12:11:06 UTC
spin-kickstarts-0.23.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update spin-kickstarts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3c372b25be

Comment 16 Bruno Wolff III 2015-10-24 16:41:07 UTC
There have been two commits to spin-kickstarts (f23) since the last build. Should I just do the one for the latest since it looks like we are going to need an rc4 and not worry about which was used for rc3?

Comment 17 Bruno Wolff III 2015-10-24 16:44:25 UTC
I will probably also trim a package off the games spin, since rc3 x86_64 was 20MB rc2 and put games over its target size, though it would still fit on a standard DVD.

Comment 18 Adam Williamson 2015-10-24 20:54:48 UTC
I'd hold off at least until we build another RC.

Comment 19 Adam Williamson 2015-10-30 16:38:10 UTC
OK, we've signed off on RC10 as gold, so please build a package with commit d0b28ea2c374542fdb5257b007c46a0e930dd8b5 . That will be the final one. Thanks!

Comment 20 Bruno Wolff III 2015-10-31 00:37:49 UTC
I'll get it done late tonight or Saturday.

Comment 21 Bruno Wolff III 2015-10-31 18:38:49 UTC
I'm starting work on this now.

Comment 22 Kevin Fenzi 2015-10-31 19:05:19 UTC
Dennis actually built one we can use for the final f23 compose... but if there's anything wrong with that, let us know.

Comment 23 Bruno Wolff III 2015-10-31 19:11:34 UTC
It looks like Dennis worked on this a couple of hours before I started. A few steps in the process were skipped, so I ended up redoing it so that the tar ball that ends up on fedorahosted will exactly match what is in the build. But for purposes of release Dennis' build may be OK. (I haven't tested if extracting from his tarball gives the same result as mine.)

Comment 24 Adam Williamson 2015-10-31 19:17:24 UTC
I think we may as well just use your build, Bruno - could you edit it into the update? Thanks!

Comment 25 Bruno Wolff III 2015-10-31 19:18:40 UTC
Most likely his build is accurate. spin-kickstarts didn't get the tag pushed, and the tarball didn't get pushed to fedorahosted. My tarball has a different checksum, so I made a separate release that will match what gets posted as soon as my key updates. (The machine with my Fedora keys failed and I had to do more futzing around than normal, or I'd have gotten this done very late Thursday.)

Comment 26 Bruno Wolff III 2015-10-31 19:20:26 UTC
I'll do the koji update request very shortly. Is that all you need?

Comment 27 Bruno Wolff III 2015-10-31 19:21:40 UTC
I mean bohdi, not koji.

Comment 28 Adam Williamson 2015-10-31 19:22:31 UTC
Yep, that's all. You can just edit the existing update if you like, we don't need a new one.

Comment 29 Fedora Update System 2015-10-31 19:28:15 UTC
spin-kickstarts-0.23.6-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c3de7e1f23

Comment 30 Fedora Update System 2015-11-01 06:55:39 UTC
spin-kickstarts-0.23.6-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update spin-kickstarts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c3de7e1f23

Comment 31 Adam Williamson 2015-11-02 23:15:19 UTC
releng actually ninja-tagged 0.23.6-1.fc23 into the final F23 compose:

https://dl.fedoraproject.org/pub/fedora/linux/development/23/x86_64/os/Packages/s/

so closing this.

Comment 32 Fedora Update System 2015-11-06 08:45:41 UTC
spin-kickstarts-0.23.6-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a558c54a4c


Note You need to log in before you can comment on or make changes to this bug.